USERMOD(8)

NOME
usermod - modifica l'account di un utente

SINOSSI

usermod [opzioni] LOGIN

DESCRIZIONE

Il comando usermod modifica i file di account del sistema in modo da riflettere i cambiamenti che sono specificati sulla riga di comando.

OPZIONI

Il comando usermod accetta le seguenti opzioni:

-a, --append
    Aggiunge l'utente al/i gruppo/i supplmentare/i. Usare solo con l'opzione -G.

-c, --commentCOMMENTO
    Il nuovo valore per il campo commento dell'utente nel file password. Normalmente viene modificato usando l'utilità chfn(1).

-d, --homeHOME_DIR
    La nuova directory home dell'utente.

    Se è data l'opzione -m il contenuto della directory home corrente sarà spostato nella nuova directory home, che viene creata se non esiste già.

-e, --expiredateDATA_SCADENZA
    La data in cui l'account dell'utente verrà disabilitato. La data è specificata nel formato AAAA-MM-GG.

    Un argomento DATA_SCADENZA vuoto disabilita la scadenza dell'account.

    Questa opzione richiede il file /etc/shadow. Se non c'è ancora viene creata una voce nel file /etc/shadow.

-f, --inactiveINATTIVO
    Il numero di giorni dopo la scadenza di una password prima che l'account venga disabilitato permanentemente.

    Il valore 0 disabilita l'account non appena la password è scaduta, e il valore -1 disabilita questa funzionalità.

    Questa opzione richiede il file /etc/shadow. Se non c'è ancora viene creata una voce nel file /etc/shadow.

-g, --gidGRUPPO
    Il nome o numero del gruppo da assegnare alla connessione dell'utente. Il gruppo deve esistere.

    Tutti i file nella directory home dell'utente che hanno come gruppo il precedente gruppo primario dell'utente stesso verranno modificati perché abbiano questo nuovo gruppo.

    Il gruppo dei file che si trovano all'esterno della directory home dell'utente andrà modificato manualmente.

-G, --groupsGRUPPO1[,GRUPPO2,...[,GRUPPON]]]
    Una lista di gruppi supplementari di cui l'utente è altresì membro. Ciascun gruppo è separato dal successivo da una virgola, senza spazi bianchi intermedi. I gruppi sono soggetti alle stesse restrizioni del gruppo dato con l'opzione -g.

    Se l'utente è attualmente membro di un gruppo che non è elencato, l'utente verrà rimosso dal gruppo. Questo comportamento può essere cambiato con l'opzione -a che aggiunge all'utente i gruppi supplementari dei quali fa attualmente parte.

-l, --loginNUOVO_LOGIN
    Il nome dell'utente verrà cambiato da LOGIN a NUOVO_LOGIN. Niente altro viene cambiato. In particolare, la directory home dell'utente e la casella di posta dovrebbero probabilmente essere modificate manualmente in modo da riflettere il nuovo nome di login.

-L, --lock
    Blocca la password di un utente. Questo inserisce un «!» davanti alla password cifrata, disabilitandola. Non si può utilizzare questa opzione con le opzioni -p e -U.

    Nota: se si vuole bloccare l'account (non solo l'accesso tramite password), si deve anche impostare DATA_SCADENZA a 1.

-m, --move-home
    Sposta il contenuto della directory home di un utente nella nuova posizione.

    Questa opzione è valida solo in combinazioone con l'opzione -d (o --home).

    usermod cercherà di adattare la proprietà dei file e di copiare i permessi, le ACL e gli attributi estesi, ma successive modifiche manuali potrebbe comunque essere necessarie.

-o, --non-unique
    Quando è usata con l'opzione -u questa opzione permette di modificare l'ID utente in un valore non univoco.

-p, --passwordPASSWORD
    La passwird cifrata, così come viene restituita da crypt(3).

    Nota: questa opzione non è consigliata perché la password (o password cifrata) sarà visibile agli utenti che elencano i processi.

    Ci si deve accertare che la password rispetti le norme delle password del sistema.

-R, --root CHROOT_DIR
    Effettua le modifiche nella directory CHROOT_DIR e usa i file di configurazione dalla directory CHROOT_DIR.

-s, --shellSHELL
    Il nome della nuova shell di login dell'utente. Lasciando questo campo vuoto si fa in modo che il sistema selezioni la shell di login predefinita.

-u, --uidUID
    Il nuovo valore numerico dell'ID utente.

    Questo valore deve essere univoco, a meno che non sia utilizzata l'opzione -o. Il valore non può essere negativo.

    La casella di posta dell'utente e ogni altro file di proprietà dell'utente che si trovi all'interno della directory home avrà l'ID utente cambiato automaticamente.

    La proprietà dei file esterni alla directory home dell'utente va corretta manualmente.

    Non vengono fatti controlli riguardo UID_MIN, UID_MAX, SYS_UID_MIN o SYS_UID_MAX dal file /etc/login.defs.

-U, --unlock
    Sblocca la password di un utente. Questo rimuove il «!» davanti alla password cifrata. Non si può usare questa opzione con l'opzione -p o -L.

    Nota: se si vuole sbloccare l'account (non solo l'accesso con password) si deve anche impostare DATA_SCADENZA (per esempio a 99999 o al valore EXPIRE dal file /etc/default/useradd).

-Z, --selinux-userUTENTESE
    Il nuovo utente SELinux per il login dell'utente.

    Un UTENTESE vuoto rimuoverà la mappatura per l'utente SELinux da LOGIN (se presente).

AVVISI/CAVEAT

Se si cambia l'ID numerico, il nome dell'utente o la sua directory home, si deve verificare che l'utente in questione non stia eseguendo nessun processo al momento dell'esecuzione del comando. usermod effettua questo controllo in Linux, ma su altri sistemi controlla solo che non sia registrato come collegato in utmp.

Si deve cambiare manualmente il proprietario di eventuali file crontab e compiti at.

Si devono apportare tutte le modifiche che riguardano NIS sul server NIS.

CONFIGURAZIONE

Le seguenti variabili di configurazione in /etc/login.defs cambiano il comportamento di questo strumento:

MAIL_DIR (testo)
    La directory di spool per la posta. Questa è necessaria per manipolare la casella di posta quando il corrispondente account utente viene modificato o cancellato. Se non è specificata viene utilizzato un valore impostato al momento della compilazione.

MAIL_FILE (testo)
    Imposta la posizione delle caselle di posta degli utenti relative alla loro directory home.

Le variabili MAIL_DIR e MAIL_FILE vengono utilizzate da useradd, usermod e userdel per creare, spostare e cancellare le caselle di posta dell'utente.

Se MAIL_CHECK_ENAB è impostata a yes allora sono anche utilizzate per impostare la variabile d'ambiente MAIL.

MAX_MEMBERS_PER_GROUP (numero)
    Numero massimo di membri per gruppo. Quando viene raggiunto il massimo, viene creata una nuova riga per il gruppo nel file /etc/group (con lo stesso nome, stessa password e stesso GID).

    Il valore predefinito è 0, che non pone nessun limite al numero di membri per gruppo.

    Questa opzione (dividi gruppo) permette di limitare la lunghezza delle righe nel file «group». Questo è utile per essere certi che le righe per gruppi NIS non eccedano i 1024 caratteri.

    Se si deve impostare questo limite, si può usare 25.

    Nota: la divisione dei gruppi potrebbe non essere supportata da ogni strumento (anche all'interno del pacchetto Shadow). Non si dovrebbe utilizzare questa variabile a meno di esserci forzati.

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    Informazioni sicure sugli account di gruppo.

/etc/login.defs
    Configurazione del pacchetto password shadow

/etc/passwd
    Informazioni sugli account utente.

/etc/shadow
    Informazioni sicure sugli account utente.

VEDERE ANCHE

chfn(1), chsh(1), passwd(1), crypt(3), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8).